@import url("https://use.fontawesome.com/releases/v5.13.0/css/all.css");
@import url(../../../styles/icon_styles.scss);

.mat-drawer-content {
  background-color: white;
}

.page-wrap {
  display: flex !important;
  flex-direction: column !important;
  min-height: 100vh !important;
}

.content-router-outlet {
  flex: 1;
}

// content height
::ng-deep.mat-drawer-content {
  height: 89.2% !important;
}

.pageheadsection {
  background: #fff;
  box-shadow: 0px 1px 1px 1px rgba(0, 0, 0, 0.1);
  position: relative;
  z-index: 1;
  padding: 10px 15px 10px 20px;
  overflow: auto !important;
}

.link-home {
  color: #2e2f2f;
  text-decoration: none;
  font-weight: 600;
  font-size: 13px;
  cursor: pointer;
}

.link-marketplace {
  font-weight: normal;
  color: #8f8f8f;
  font-size: 13px;
}

.md-head-container1 {
  display: flex;
  justify-content: space-between;
  align-content: center;
  flex-wrap: nowrap;
}

.md-head-containerinner1 {
  display: flex;
  justify-content: space-between;
  align-content: center;
  flex-wrap: nowrap;
}

.md-head-container2 {
  display: flex;
  justify-content: space-between;
  align-content: center;
  flex-wrap: nowrap;
}

.md-headline4 {
  font-size: 20px;
  height: 30px;
  max-width: 380px;
  font-weight: 600;
  line-height: 24px;
  letter-spacing: 0.02em;
  margin: 3px 0;
  padding: 0;
  color: #671c9d;
  text-overflow: ellipsis;
  float: left;
  overflow: hidden;
  white-space: nowrap;
}

.solutions-img {
  width: 30px;
  margin-right: 10px;
}

.md-head-container3 {
  display: flex;
  justify-content: flex-start;
  align-content: center;
  flex-wrap: nowrap;
  margin-left: 10px;
}

.md-head-containerinner-seperator {
  border-right: 1px solid #5a5a5a;
  margin-right: 10px;
  height: 24px;
  position: relative;
  top: 1px;
}

.version-container {
  position: relative;
  border: 1px solid #d5d5d5;
  border-radius: 2px;
  margin-right: 5px;
  height: 26px;
}

.cataloglist-container .mdl-button {
  max-width: 175px;
  text-align: left;
  display: flex;
  align-items: center;
}

.text-ellipsis {
  white-space: nowrap;
  text-overflow: ellipsis;
  max-width: 98%;
  overflow: hidden;
  display: inline-block;
  position: relative;
  top: -2px;
}

.version-container button {
  position: relative;
  font-size: 12px;
  line-height: 22px !important;
  height: 26px;
  padding-left: 8px;
  padding-right: 8px;
}

.mdl-button {
  text-transform: none !important;
  font-weight: 600 !important;
}

.material-icons {
  font-family: "Material Icons";
  font-weight: 400;
  font-style: normal;
  font-size: 24px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  word-wrap: normal;
  font-feature-settings: "liga";
}

.version-container button .material-icons {
  font-size: 20px !important;
}

.md-version-ddl1 {
  list-style-type: none;
  margin: 0;
  border: 1px solid #e5e5e5;
  position: absolute;
  z-index: 5555;
  width: 200px;
  top: 3px;
  box-shadow: 0px 0px 5px 3px rgba(0, 0, 0, 0.1);
  background: #fff;
  padding: 0;
}

.cataloglist-container .mdl-button {
  text-align: left;
}

.mdl-button {
  background: 0 0;
  border: none;
  border-radius: 2px;
  color: #000;
  margin: 0;
  min-width: 64px;
  padding: 0 16px;
  letter-spacing: 0;
  overflow: hidden;
  will-change: box-shadow;
  transition:
    box-shadow 0.2s cubic-bezier(0.4, 0, 1, 1),
    background-color 0.2s cubic-bezier(0.4, 0, 0.2, 1),
    color 0.2s cubic-bezier(0.4, 0, 0.2, 1);
  outline: none;
  cursor: pointer;
  text-decoration: none;
  vertical-align: middle;
}

.md-cat-txtellipsis {
  white-space: nowrap;
  text-overflow: ellipsis;
  max-width: 85%;
  overflow: hidden;
  display: inline-block;
}

li.selected:hover {
  background-color: rgb(238, 238, 238);
  cursor: pointer;
}

li.selected {
  background: url("../../../assets/images/validate_icon.png") no-repeat 95%
    center;
  background-color: #fff;
}

li:last-child {
  border-bottom: none;
}

.custom-tooltip-text {
  display: none;
  position: absolute;
  z-index: 555;
  top: 30px;
  min-width: 50px;
  max-width: 500px;
  white-space: normal;
  word-break: break-all;
  line-height: 14px;
  font-size: 11px;
  left: 20px;
  color: #2e2e2e;
  font-weight: 400;
  background: #fff;
  padding: 3px 5px;
  border: 1px solid #767676;
}

.catalogList {
  margin-bottom: 40px;
}

::ng-deep .mat-mdc-menu-panel {
  width: 120px;
}

::ng-deep .mat-mdc-menu-content {
  padding: 0px !important;
}

li {
  padding: 4px 4px;
  cursor: pointer;
}

.li-border-bottom {
  border-bottom: 1px solid #d5d5d5 !important;
}

ul {
  list-style-type: none !important;
  padding: 0px !important;
  margin: 0px !important;
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  letter-spacing: 0;
}

.version-container {
  position: relative;
  border: 1px solid #d5d5d5;
  border-radius: 2px;
  margin-right: 5px;
  height: 26px;
}

.version-container button {
  position: relative;
  font-size: 12px;
  line-height: 22px !important;
  height: 26px;
  padding-left: 8px;
  padding-right: 8px;
}

.version-container button .material-icons {
  font-size: 20px !important;
}

.mdl-button.btn-primary,
.mdl-button.btn-secondary {
  box-shadow: none;

  line-height: 27px;
  text-transform: capitalize;
}

.md-head-container2 > button,
.md-head-container3 > button {
  margin: 0 0 0 10px;
}

.btn-primary {
  background: #671c9d;
  color: #fff;
  border: 1px solid #671c9d;
}

.btn-secondary {
  background: #fff;
  color: #2b262d;
  border: 1px solid #d5d5d5;
  box-shadow: none;
  font-weight: 600;
  text-transform: none;
}

.md-lbl1 {
  margin-right: 3px;
  margin-top: 0;
  display: inline-block;
  font-size: 11px;
}

.md-header3 {
  border-bottom: 1px solid #671c9d;
}

.md-container-head1 {
  display: flex;
  justify-content: space-between;
  padding: 18px 0 11px 20px;
}

.md-container-head1 > div {
  margin-right: 5px;
}

.head-stat-left {
  display: flex;
}

.mdchild1 {
  margin-right: 8px;
  padding-top: 5px;
}

.userimg {
  margin-right: 6px;
  width: 27px;
  height: 27px;
}

.font600 {
  font-weight: 600;
}
.text-medium {
  font-size: 13px !important;
}

.text-xsmall {
  font-size: 11px;
}

.mdl-button.mdl-js-button[disabled] {
  color: #b3b3b3;
  border-color: #d3d1d1;
  cursor: not-allowed;
  background: #efefef;
}

.btn-md-edit {
  position: relative;
  font-size: 12px;
  font-weight: normal;
  border: 1px solid #671c9d;
  background: #671c9d;
  color: #fff;
  text-transform: none;
  line-height: 24px;
  height: 25px;
  padding-left: 8px;
  padding-right: 8px;
  margin-left: 3px;
  min-width: 20px;
}

.mdl-button span {
  text-transform: none;
}

.publish-text {
  position: relative;
  top: -5px;
}

.header-stats {
  align-items: flex-start;
  position: relative;
  top: -2px;
  display: flex;
  flex-wrap: nowrap;
  justify-content: flex-end;
  height: 35px;
}

.header-stats .rating {
  position: relative;
  margin-right: 15px;
}

.header-stat-lg {
  display: none;
}
.rating {
  clear: both;
}

.link-blue {
  color: #0366d6;
}

.md-icons1 {
  margin-right: 5px;
  margin-left: 5px;
}

.icon-chat-blue {
  width: 14px;
  height: 14px;
  background: url("../../../assets/images/chat_blue.png") no-repeat center
    center;
  position: relative;
  top: 3px;
}

.link-write-comments {
  line-height: 25px;
}

.content {
  padding: 24px;
}

mat-sidenav-container {
  overflow: hidden !important;
}

mat-sidenav {
  background: #f1f1f1;
  width: 250px !important;
  overflow: hidden !important;
  height: 100% !important;
}

mat-sidenav-content {
  overflow: hidden;
}

::ng-deep .mat-drawer-inner-container {
  overflow: hidden !important;
  padding: 20px 0 20px 0;
}

::ng-deep .mat-mdc-tab-links {
  flex-direction: column !important;
}

::ng-deep .mdc-tab {
  display: flex !important;
  justify-content: flex-start !important;
  align-items: flex-start !important;
}

.is-active {
  pointer-events: none !important;
  border-right: 5px solid #671c9d !important;
  color: #671c9d !important;
  font-weight: 700 !important;
  background: #fff;
  box-shadow: 1px 0px 14px 4px rgba(0, 0, 0, 0.1);
  position: relative;
  span {
    color: #671c9d !important;
  }
  mat-icon {
    color: #671c9d !important;
  }
}

.tab-author_details-not-active {
  background: url("../../../assets/images/icon_author_publisher_details.png")
    no-repeat center;
}

.tab-author_details-is-active {
  background: url("../../../assets/images/icon_author_publisher_details_selected.png")
    no-repeat center center;
}

.tab-icon {
  pointer-events: none !important;
  width: 18px;
  height: 18px;
  margin-right: 4px;
}

.tab-box {
  color: #2e2f2f;
  font-weight: 600;
  white-space: nowrap;
  font-size: 14.5px;
}

mat-icon {
  color: #2e2f2f;
}

.tab-license-profile-not-active {
  background: url("../../../assets/images/icon_license_inactive.png") no-repeat
    center;
}

.tab-license-profile-is-active {
  background: url("../../../assets/images/icon_license_active.png") no-repeat
    center center;
}

.tab_license {
  width: 26px;
  height: 28px;
  margin-right: 4px;
}
.sectiontitle4 {
  font-weight: 600;
  font-size: 14px;
  margin-bottom: 0;
  padding: 0 15px 0 20px;
  color: #671c9d;
  letter-spacing: 0.01em;
}

.icon-tags {
  width: 20px;
  height: 20px;
  background: url("../../../assets/images/path_catalog_icon.png") no-repeat
    center center;
}

.title-icons {
  display: inline-block;
  float: right;
  margin-right: 15px;
  top: 5px;
  position: relative;
}

.pull-right {
  float: right;
}

.text-small {
  font-size: 12px;
}

h6 {
  margin: 20px 0px;
}

.sectiontitle5 {
  font-size: 14px;
  padding: 0 15px 0 20px;
  color: #671c9d;
  letter-spacing: 0.01em;
  font-weight: 600;
}

.md-list-container1 {
  padding-left: 15px;
  margin-top: 19px;
}

.rel-title {
  line-height: normal;
  margin-bottom: 0;
  display: block;
  font-weight: 600;
  color: #2e2f2f;
  float: left;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 165px;
  height: 20px;
  position: relative;
  top: 3px;
  word-break: keep-all;
  white-space: nowrap;
  cursor: pointer;
}

.model-list li .rating {
  clear: both;
  float: none;
  display: block;
}

.rating span .fa-star1 {
  color: #b9b9b9 !important;
}

.rating span i {
  font-size: 14px;
  width: 17px;
}

.material-icons {
  font-size: 24px;
  letter-spacing: normal;
  text-transform: none;
  word-wrap: normal;
  -moz-font-feature-settings: "liga";
}

ul {
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  letter-spacing: 0;
}

.fa-star:before {
  content: "\f005";
}

.rating span .fa-star1 {
  color: #b9b9b9 !important;
}

.fa,
.fas {
  font-weight: 900;
}

.fa,
.far,
.fas {
  font-family: "Font Awesome\ 5 Free" !important;
}

.iconcontainer {
  margin-bottom: 3px;
  position: relative;
  top: -2px;
}

.iconspan1 {
  margin-right: 6px;
  font-weight: normal;
}

.icon-chat {
  width: 14px;
  height: 14px;
  background: url("../../../assets/images/chat.png") no-repeat center center;
  position: relative;
  top: 3px;
}

.icon-view {
  width: 16px;
  height: 11px;
  background: url("../../../assets/images/views.png") no-repeat center center;
}

.statistics-icons,
.tab-icons {
  display: inline-block;
}

.icon-download {
  width: 12px;
  height: 14px;
  background: url("../../../assets/images/download.png") no-repeat center center;
  position: relative;
  top: 3px;
}

.list-container {
  border-bottom: 1px solid #dfdfdf;
  margin-bottom: 10px;
  display: flex;
  flex-direction: row;
}

::ng-deep.mat-mdc-option .mdc-list-item__primary-text {
  white-space: nowrap !important;
  user-select: none;
  width: auto;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 14px !important;
}
::ng-deep.mat-mdc-option {
  height: 48px !important;
  padding: 0 16px !important;
  width: auto !important;
  border-bottom: 1px solid black;
}

::ng-deep div.mat-mdc-select-panel {
  padding: 0px !important;
}

.deploy-image {
  max-width: 50;
  padding-right: 5px;
  margin-right: 5px;
  border-right: 1px solid gray;
  height: 40px;
}

.breadcrumb-navigation-container {
  margin-top: 12px;
}

.md-created-label {
  text-overflow: unset;
  max-width: none;
}

.scrollToComment-button {
  cursor: pointer;
}

.view-download-container {
  margin-top: 3px;
}

.author-publisher-text {
  font-size: 14.5px;
}

.chip-set-tags {
  padding: 8px;
}

.go-to-related-solutions-ul {
  display: flex;
  cursor: pointer;
}

.show-all {
  color: #0366d6;
  cursor: pointer;
}
